Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008900TestLinkBug Tracking System - Mantis Integrationpublic2020-04-14 02:372020-04-19 08:55
ReporterStone 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinux OSCentOSOS Version8.1
Product Version1.9.19 (2019 Q1) 
Fixed in Version1.9.20_fixed 
Summary0008900: Can not link mantis in testlink on centos8.1 linux
DescriptionWeb Server: Apache2.4.37 php7.2.11 mysql5.7.29
Software: testlink1.9.19 mantis2.24
when link mantisbt in testlink, testlink cannot return a result of success or failure.
Steps To Reproduce1.click [Issue Tracker Management] on the main page of testlink
2.on the [Issue Trackers] page, click [Create]
3.1.put the flow information into the form on the page
Issue Tracker: mantis
Type: mantis(interface:db)
Configuration: the information of mantis
3.2.then click [Check connection], testlink return a blank page, and link failed.
4.1.put the flow information into the form on the page
Issue Tracker: mantis
Type: mantis(interface:db)
Configuration: None
4.2.then click [Check connection], get a connect failure, it sounds work ok.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql5.7.29
BrowserFireFox75.0 On Windows10
PHP Version7.2.11
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0029579)
fman (administrator)
2020-04-14 13:53

1) please use branch_1_9_20_fixed from github
2) db integration has not been upgraded from a while
3) without more details no help can be provided
(0029580)
Stone (reporter)
2020-04-15 00:49

1)thanks for your replay
2)I debuged the source code, find that when i link mantis to testlink1.9.19 and testlink1.9.18, after iput the mantis infomation, then click [Check connection], this line '$its = new $class2create($argsObj->type,$argsObj->cfg,$argsObj->name);' in 'testlink\lib\issuetrackers\issueTrackerCommands.class.php' can not execute success. this occured on centos8 linux
3)on Windows this problem does not happened, i have test it
(0029581)
fman (administrator)
2020-04-15 12:30

Probably is a PHP Version issue.
what is the PHP version used on Windows?
(0029583)
Stone (reporter)
2020-04-16 01:17

1)PHP version is 7.2.29 on windows
2)On linux, i have tested php7.3 and php7.4, and has the same problem as php7.2. And on Ubuntu19.04 has the same problem
3)Maybe this problem is occured on Linux system only.
4)Sorry for I just can found this problem, but can not fixed it, because i am not good at php debug.
(0029584)
fman (administrator)
2020-04-16 08:04

Hi, I'm going to check on MAC OS

stay tunned
(0029585)
Stone (reporter)
2020-04-17 05:16

Hi,fman. Are your test is going well?
Wait for your good news
(0029587)
fman (administrator)
2020-04-17 18:27

I've no issue with the checkConnection, but after check connection some strange issue with language functions happens.
I'm trying to understand

tested with PHP 7.4.2 CGI Mode
(0029588)
fman (administrator)
2020-04-18 10:13

This is my issue tracker configuration
<issuetracker>
<dbhost>localhost</dbhost>
<dbname>bt.2.24.0</dbname>
<dbtype>mysql</dbtype>
<dbuser>Batman</dbuser>
<dbpassword> Gotham </dbpassword>
<uriview>http://localhost/development/lab/mantis/MIA-mantisbt-2.24.0/view.php?id=</uriview> [^]
<uricreate>http://localhost/development/lab/mantis/MIA-mantisbt-2.24.0/</uricreate> [^]
</issuetracker>
(0029589)
fman (administrator)
2020-04-18 10:14

I've done some changes to avoid the weird error after checking the Mantis integration via DB, using the icon in the issuetracker view

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/d680389f2b9a5dac977cdf8f0d8950068500180e [^]
(0029596)
Stone (reporter)
2020-04-18 23:14

Thanks for your work
In the passed, i only installed php7.2-fpm, php7.2-mbstring, php7.2-mysql, php7.2-mysql, php7.2-pdo of php7.2 extra modules.
Now, I installed all the extra modules of php7.2, this issue is fixed. Maybe i missed the modules of testlink needed. Sorry i am not sure which one.
I think it's my fault, not testlink bug.
Thank you for everything
(0029597)
fman (administrator)
2020-04-19 08:54

You don't need to apologize, maybe this means that some more checks need to be added during install.
And checking this issue I've found another => a good thing

have a nice sunday
Keep supporting TestLink

- Issue History
Date Modified Username Field Change
2020-04-14 02:37 Stone New Issue
2020-04-14 13:53 fman Note Added: 0029579
2020-04-15 00:49 Stone Note Added: 0029580
2020-04-15 12:30 fman Note Added: 0029581
2020-04-16 01:17 Stone Note Added: 0029583
2020-04-16 08:04 fman Note Added: 0029584
2020-04-17 05:16 Stone Note Added: 0029585
2020-04-17 18:27 fman Note Added: 0029587
2020-04-18 10:13 fman Note Added: 0029588
2020-04-18 10:14 fman Note Added: 0029589
2020-04-18 10:15 fman Assigned To => fman
2020-04-18 10:15 fman Status new => feedback
2020-04-18 17:41 fman QA Team - Task Workflow Status => TBD
2020-04-18 17:41 fman Fixed in Version => 1.9.20_fixed
2020-04-18 17:41 fman Relationship added child of 0008878
2020-04-18 23:14 Stone Note Added: 0029596
2020-04-18 23:14 Stone Status feedback => assigned
2020-04-19 08:54 fman Note Added: 0029597
2020-04-19 08:55 fman Status assigned => resolved
2020-04-19 08:55 fman Resolution open => fixed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker